#steg-1 .img-col,
#steg-2 .img-col,
#steg-3 .img-col {
    align-items: center;
    display: flex;
    background: rgb(230,250,200);
}

#steg-1 .img-col,
#steg-3 .img-col {
    padding-left: 40px;
}

#steg-2 .img-col {
    padding-right: 40px;
    justify-content: flex-end;
}

.steg-img {
    width: 80px;
    height: 80px;
    object-fit: contain;
    abackground: var(--bright-bg-1);
    border-radius: 50px;
}

@media screen and (max-width: 749px) {
    .full-width > .img-col {
        min-height: 150px !important;
    }
    
    #steg-1 .img-col,
    #steg-3 .img-col {
        background: linear-gradient(90deg, rgb(230, 250, 200) 65%, transparent);
    }
    
    #steg-2 .img-col {
        background: linear-gradient(270deg, rgb(230, 250, 200) 65%, transparent);
    }
}

@media screen and (min-width: 750px) {
    .steg-img {
        width: 150px;
        height: 150px;
    }
}



#kalkylator {
    min-height: 100vh !important;
    align-items: center;
}

#kalkylator > form {
    max-height: 750px;
    position: relative;
}

#kalkylator .button.start {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: var(--fs-2);
    width: 100%;
    padding: 1.2em;
    animation: 2s pulse-color ease 0.5s infinite;
}

#kalkylator .button.start img {
    width: 1em;
    height: 1em;
    object-fit: contain;
    object-position: center;
    filter: invert(1);
    animation: 2s bounce-arrow ease 0.5s infinite;
}

@keyframes pulse-color {
    0%,100% {
        border-color: var(--button-color);
        background: var(--button-color);
    }
    
    50% {
        border-color: var(--success-color);
        background: var(--success-color);
    }
}

#kalkylator form {
    display: grid;
    justify-items: center;
    align-content: center;
    min-height: max(40vh, 750px);
    padding-bottom: 100px;
    box-sizing: border-box;
    text-align: center;
    gap: 0;
}

#kalkylator form > .step {
    width: min(800px, calc(100% - var(--padding-h) * 2));
    display: grid;
    overflow: hidden;
    transition: visibility 0.3s, opacity 0.3s
}

#kalkylator form > .start-step {
    display: grid;
    gap: 40px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
}

#kalkylator form > .step:not(.active),
#kalkylator form > .step > .conditional:not(.active) {
    max-height: 0;
    opacity: 0;
    visibility: hidden;
}

#kalkylator form > .step.active,
#kalkylator form > .step > .conditional.active{
    max-height: 99999px;
    opacity: 1;
    visibility: visible;
}

#kalkylator form > .step > .conditional {
    overflow: hidden;
}

#kalkylator form > .step > .conditional.active {
    margin-top: 40px;
    padding-top: 40px;
    border-top: dashed 1px;
}


#kalkylator form > .step .question {
    font-size: var(--fs-3);
    font-weight: 600;
    margin-bottom: 20px;
    width: 100%;
}

#kalkylator form > .step .conditional .question {
    font-weight: 400;
}

#kalkylator form > .step .explanation {
    font-weight: 300;
    font-size: var(--fs-1);
    font-style: italic;
    margin-top: -10px;
    margin-bottom: 20px;
}

#kalkylator form > .step .separator-or {
    font-style: italic;
    margin: 20px 0;
}

#kalkylator form > .step input.disable-input {
    color: transparent !important;
    opacity: 0.5;
    pointer-events: none;
}

#kalkylator form > .step .radio-wrapper > input {
    width: 0;
    opacity: 0;
}

#kalkylator form > .step .radio-wrapper > label {
    min-width: 100px;
    padding: 0.5em 1em;
    font-size: var(--fs-2);
    border-radius: var(--border-radius);
    cursor: pointer;
    border: solid 2px transparent;
    background: rgb(255,255,255,.9);
    transition: all 0.1s;
}

#kalkylator form > .step .radio-wrapper > label:hover {
    background: rgb(0,0,0,0.05);
}


#kalkylator form > .step .radio-wrapper > input:checked + label {
    background: rgb(255,255,255,0.25);
    border-color: black;
}

#kalkylator form > .step input[type="number"],
#kalkylator form > .step input[type="text"] {
    outline: none;
    border: solid 2px transparent;
    border-radius: var(--border-radius);
    font-family: var(--primary-font);
    font-size: var(--fs-3);
    padding: 0.5em 1em;
    min-height: 2em;
    background: var(--white-color);
    transition: all 0.1s;
    text-align: center;
    box-sizing: border-box;
}

#kalkylator form > .step input[type="number"]:focus,
#kalkylator form > .step input[type="text"]:focus {
    background: rgb(255,255,255,.5);
    border-color: grey;
}

#kalkylator form > .step.active:nth-child(1) ~ .button-wrapper .previous,
#kalkylator form > .step.active:nth-child(1) ~ .button-wrapper .next,
#kalkylator form > .step.active:nth-child(2) ~ .button-wrapper .previous,
#kalkylator form > .step.active:nth-last-child(3) ~ .button-wrapper .next {
    opacity: 0;
    visibility: hidden;
}


#kalkylator form > .step.active:nth-child(1) ~ .button-wrapper .previous,
#kalkylator form > .step.active:nth-child(1) ~ .button-wrapper .next,
#kalkylator form > .step.active:nth-child(2) ~ .button-wrapper .previous,
#kalkylator form > .step.active:nth-last-child(3) ~ .button-wrapper .next,
#kalkylator form > .step.active:not(:nth-last-child(3)) ~ .button-wrapper .last {
    display: none;
}

#kalkylator .form-message {
    margin-top: 40px;
}

#kalkylator form .button.start {
    width: min(600px, calc(100% - var(--padding-h) * 2 - 40px));
    margin: 0 auto;
}

#kalkylator form > .button-wrapper {
    display: flex;
    column-gap: 20px;
    position: absolute;
    width: min(600px, calc(100% - var(--padding-h) * 2 - 40px));
    bottom: 100px;
    left: 50%;
    transform: translateX(-50%);
}

#kalkylator form > .button-wrapper > a {
    cursor: pointer;
    min-width: 40%;
    box-sizing: border-box;
    width: 100%;
}

@media screen and (max-width: 749px) {
    #kalkylator form {
        min-height: max(80vh, 650px);
    }
    
    #kalkylator form > .step input[type="number"],
    #kalkylator form > .step input[type="text"] {
        font-size: var(--fs-2);
    }
    
    #kalkylator form > .button-wrapper {
        column-gap: 10px;
    }
    
    #kalkylator form .button.last > span {
        display: none;
    }
    
    #kalkylator .form-message {
        margin-top: 20px;
        padding: 0 !important;
    }
}

/* –––––––––––––––––––––––––––––––––––– */

#results-modal {
    --toggle-height: 50px;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    z-index: 999;
    transform: translateY(100%);
    transition: all 0.5s ease;
    max-height: 100vh;
}

#results-modal.finished {
    transform: translateY(calc(100% - var(--toggle-height)));
}

#results-modal.open,
#results-modal.finished.open {
    transform: translateY(0);
}

#results-modal .modal-toggle {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    width: 100%;
    height: var(--toggle-height);
    box-sizing: border-box;
    text-decoration: none;
    color: var(--white-color);
    cursor: pointer;
    transition: all 0.2s;
}

#results-modal .modal-toggle:hover {
    opacity: 0.9;
}

#results-modal .modal-toggle .modal-toggle-title {
    position: relative;
}

#results-modal .modal-toggle .modal-toggle-title::after {
    content: '';
    position: absolute;
    left: calc(100% + 20px);
    top: 50%;
    width: 18px;
    height: 18px;
    transform: translateY(-50%);
    filter: invert(1);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

#results-modal:not(.open) .modal-toggle .modal-toggle-title::after {
    background-image: url(https://xn--vlt-ula.se/wp-content/uploads/2024/02/valt_expand.svg);
}

#results-modal.open .modal-toggle .modal-toggle-title::after {
    background-image: url(https://xn--vlt-ula.se/wp-content/uploads/2024/02/valt_contract.svg);
}

#results-modal > .container {
    padding: var(--content-padding) var(--padding-h);
    max-height: calc(100vh - var(--toggle-height));
    box-sizing: border-box;
    overflow: auto;
}

#results-modal .section-title-wrapper {
    margin-bottom: 10px;
}

#results-modal .summary-col {
    display: grid;
    gap: 10px
}

#results-modal .summary-col > .summary-item {
    display: grid;
    grid-template-columns: 3fr 2fr;
    align-content: center;
    height: 30px;
    border-bottom: dashed 1px rgb(0,0,0,0.25);
}

#results-modal #results-form.error .summary-item {
    border-bottom: dashed 1.5px var(--error-color);
}

#results-modal .summary-col > .summary-item:not(.active) {
    display: none;
}

#results-modal .summary-col > .summary-item > .item-title {
    font-size: var(--fs-1);
    font-weight: 400;
}

#results-modal .summary-col > .summary-item > .item-value {
    font-size: var(--fs-1);
    font-weight: 700;
    border: none;
    background: none;
    outline: none;
    pointer-events: none;
    padding: 0;
    height: 100%;
}

#results-modal .summary-col .button.hide-desktop {
    display: none;
    margin-top: 20px;
}

#results-modal .price-col {
    gap: 20px;
}

#results-modal .price-col #results-price-details {
    padding-top: 20px;
}

#results-modal .price-col #results-price-details .details {
    overflow: hidden;
    max-height: 0;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0.3s, opacity 0.3s;
}

#results-modal .price-col #results-price-details.show .details {
    max-height: 99999px;
    visibility: visible;
    opacity: 1;
}

#results-modal .price-col #results-price-details .details > div {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    align-content: center;
    border-bottom: dashed 1px rgb(0, 0, 0, 0.25);
}

#results-modal .price-col #results-price-details .details > div > span {
    text-align: end;
}

@media screen and (max-width: 749px) {
    #results-modal .summary-col .button.hide-desktop {
        display: block;
    }

    #results-modal #results-form {
        height: calc(100vh - var(--toggle-height));
        overflow: auto;
    }
}

/* FIXES */

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

iframe[src*="weply.chat"] {
    bottom: 60px !important;
}